[ARVADOS-DEV] updated: 9336a8a8a11983f28e61db93b9e2262eff793f39

git at public.curoverse.com git at public.curoverse.com
Tue Aug 19 16:28:52 EDT 2014


Summary of changes:
 jenkins/run-tests.sh | 4 ++++
 1 file changed, 4 insertions(+)

       via  9336a8a8a11983f28e61db93b9e2262eff793f39 (commit)
      from  79df4374ee643ae843e93abc14b80145c9154730 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 9336a8a8a11983f28e61db93b9e2262eff793f39
Author: Tom Clegg <tom at curoverse.com>
Date:   Tue Aug 19 16:26:32 2014 -0400

    Fix failure detection for python tests. No issue #

diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index 4c5f070..d472965 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -235,7 +235,9 @@ test_python_sdk() {
 
     cd "$WORKSPACE/sdk/python" \
         && python setup.py test
+    r=$?
     easy_install *.egg
+    return $r
 }
 do_test python_sdk
 
@@ -243,7 +245,9 @@ test_fuse() {
     # Install test dependencies here too, in case run_test_server needs them.
     cd "$WORKSPACE/services/fuse" \
         && python setup.py test
+    r=$?
     easy_install *.egg
+    return $r
 }
 do_test fuse
 

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list